Update Sink Item
curl --request PATCH \
--url https://api.opensink.com/api/v1/sink-items/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"body": "<string>",
"type": "<string>",
"url": "<string>",
"fields": {},
"occurred_at": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.opensink.com/api/v1/sink-items/{id}"
payload = {
"title": "<string>",
"body": "<string>",
"type": "<string>",
"url": "<string>",
"fields": {},
"occurred_at": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
body: JSON.stringify('<string>'),
type: '<string>',
url: '<string>',
fields: {},
occurred_at: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.opensink.com/api/v1/sink-items/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sink_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"body": "<string>",
"type": "<string>",
"url": "<string>",
"fields": {},
"occurred_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "Bad request"
}{
"error": "Unauthorized"
}{
"error": "Insufficient permissions"
}{
"error": "Not found"
}Sink Item
Update Sink Item
Update a sink item
Required scope: sink_items:write, sink_items:all, or all:all
PATCH
/
api
/
v1
/
sink-items
/
{id}
Update Sink Item
Authorizations
API key authentication
Path Parameters
Sink Item ID
Body
application/json
Response
An item collected by a sink
An item collected by a sink
Unique identifier
Parent sink ID
Workspace ID
Item title
Required string length:
1 - 255Item body/content
Item type
Maximum string length:
255Associated URL
Maximum string length:
2048Custom fields
When the event occurred
Creation timestamp
Last update timestamp
⌘I

